\section{Code style}
\label{sec:codestyle}

It is always a good practice to keep the code reader friendly. it is recommended to use the PEP8 standard \footnote{https://www.python.org/dev/peps/pep-0008} for python code style and the PEP7 standard \footnote{https://www.python.org/dev/peps/pep-0007} for C code style. The key points are:
\begin{enumerate}
    \item 4 spaces for indentation.
    \item 80 characters for max line length.
\end{enumerate}